Take the 2-minute tour ×
Android Enthusiasts Stack Exchange is a question and answer site for enthusiasts and power users of the Android operating system. It's 100% free, no registration required.

I have a root Nexus one, that at one point ran a custom ROM, but now has the stock Android 2.2 release. I just got an update to 2.2.1, and it fails with:

Build : RA-nexus-v1.5.3
Finding update package...
Opening update package...
Verifying update package...
E:No signature (188 files)
E:Verification failed
Installation aborted.

What is the problem? Why does it say 1.5.3 in the build?

share|improve this question

2 Answers 2

Installing the stock Android 2.2 FRF91 or newer unroots the phone. I had this same problem.

You can downgrade and root using the directions here: http://forum.xda-developers.com/showthread.php?t=717870

share|improve this answer

Have you tried installing a stock image from ROM manager and then upgrading from there? Just to make certain that you are using a clean stock image.

Are you wanting to keep root? Any OTA updates might remove your root (I don't have a N1, so I don't know how the 2.2.1 update will affect your root status).

share|improve this answer
    
I don't need to keep root. When I installed 2.2 I definitely installed a stock image manually. –  ripper234 Oct 8 '10 at 14:27

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.